%define orig_name libopensync-plugin-kdepim
Name: libopensync0-plugin-kdepim
Version: 0.22
Release: alt2.M41.1

Summary: KDE PIM plugin for OpenSync
License: GPL
Group: System/Libraries
URL: http://www.opensync.org/
Packager: Mobile Development Team <mobile@packages.altlinux.org>

Source: %orig_name-%version.tar.bz2

Requires: libqt3 kdelibs kdepim
Requires: libopensync0 = %version

BuildRequires: fontconfig gcc-c++ imake kdepim-devel packages-info-i18n-common
BuildRequires: libjpeg-devel libpng-devel
BuildRequires: libXext-devel libxml2-devel libXt-devel pkg-config 
BuildRequires: qt3-designer xml-utils xorg-cf-files
BuildRequires: libopensync0-devel = %version

%description
This plugin allows applications using OpenSync to synchronise to and from
files stored on disk.

%prep
%setup -q -n %orig_name-%version

%build
%__subst "s/\.la/\.so/g" configure
unset QTDIR || : ; . /etc/profile.d/qt3dir.sh
%configure --disable-rpath \
      --disable-debug \
      --enable-final
%make

%install
%make_install install DESTDIR=%buildroot
rm -f %buildroot%_libdir/opensync/plugins/*.la

%files
%_libdir/opensync/plugins/*.so
%_datadir/opensync/defaults/*

%changelog
* Wed Oct 22 2008 Andriy Stepanov <stanv@altlinux.ru> 0.22-alt2.M41.1
- M41

* Fri Oct 17 2008 Andriy Stepanov <stanv@altlinux.ru> 0.22-alt2
- Stable version

* Mon Apr 02 2007 Alexey Shabalin <shaba@altlinux.ru> 0.22-alt1
- 0.22

* Mon Feb 12 2007 Alexey Shabalin <shaba@altlinux.ru> 0.21-alt1
- 0.21
- cleanup spec(drop cvs)

* Mon Feb 05 2007 Alexey Shabalin <shaba@altlinux.ru> 0.20-alt2
- rebuild with KDE 3.5.6

* Wed Nov 08 2006 Alexey Shabalin <shaba@altlinux.ru> 0.20-alt1
- release 0.20

* Tue Oct 03 2006 Alexey Shabalin <shaba@altlinux.ru> 0.19-alt2
- release 0.19

* Thu Sep 21 2006 Alexey Shabalin <shaba@altlinux.ru> 0.19-alt1cvs20060921
- svn version 20060921

* Tue Jul 18 2006 Alexey Shabalin <shaba@altlinux.ru> 0.18-alt2cvs20060718
- svn version 20060718

* Mon May 29 2006 Alexey Shabalin <shaba@altlinux.ru> 0.18-alt2cvs20060529
- svn version 20060529

* Tue Nov 22 2005 Alexey Shabalin <shaba@altlinux.ru> 0.18-alt1
- 0.18 release
- build for Sisyphus

* Fri Sep 30 2005 Alexey Shabalin <shaba@altlinux.ru> 0.18-alt0.1.cvs20050930
- Initial package
